/**************************************************************************\
 gatos (General ATI TV and Overlay Software)

  Project Coordinated By Insomnia (Steaphan Greene)
  (insomnia@core.binghamton.edu)

  Copyright (C) 1999 Steaphan Greene, Øyvind Aabling, Octavian Purdila, 
	Vladimir Dergachev and Christian Lupien.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

\**************************************************************************/

#ifndef GATOS_IPC_H
#define GATOS_IPC_H 1

#ifdef __cplusplus
extern "C" {
#endif

struct gatosmsgbuf {
  long mtype;
  char mtext[80];
};

int ipc_init_message(void);
int ipc_send_message(char *message);
int ipc_receive_message(char *message); 
int ipc_delete_message(void);

#ifdef __cplusplus
}
#endif

#endif

